<!DOCTYPE html>
<html>
<head>
    <title>Fetch API</title>
    
  
</head>
<body>
    <h1>Using FETCH API</h1>

    <div id="output"></div>
    <button id="btn1">Get Data</button>
    <script>

     
        const getData = () => {
            fetch('https://jsonplaceholder.typicode.com/users').then((response) => {
            return response.json();
            }).then((data) => {
                console.log(data)
                let users = '';
                data.forEach((user)=> {
                    users += `
                    <div>
                        <h3>${user.name}</h3>
                        <p>${user.email}</p>
                    </div>`;
                });
                document.querySelector('#output').innerHTML = users;
            }).catch((err) => {
                console.log('rejected', err)
            });

         
        }

        const btn1 = document.querySelector("#btn1");
        btn1.addEventListener("click",getData);

        //promise
        //either maresolve or reject (.then is for resolve)
        // fetch('https://jsonplaceholder.typicode.com/posts').then((response)=>{
        //     // console.log('resolved', response);
        //     return response.json();
        // }).then((data)=> {
        //     console.log(data)
        // })
        // .catch((err) => {
        //     console.log('rejected', err)
        // });

    </script>

</body>
</html>